TestCUtil (cpptasks 1.0b5 Test API)
Keywords: net.sf.antcontrib.cpptasks.TestCUtil class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks
Class TestCUtil

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sf.antcontrib.cpptasks.TestCUtil

All Implemented Interfaces:
  junit.framework.Test

    public class TestCUtil

extends junit.framework.TestCase

Tests for CUtil class

Constructor Summary
`TestCUtil(java.lang.String name)`

Method Summary
`void` | `testGetPathFromEnvironment()`
`void` | `testGetRelativePath1()`
`void` | `testGetRelativePath10()`
`void` | `testGetRelativePath2()`
`void` | `testGetRelativePath3()`
`void` | `testGetRelativePath4()`
`void` | `testGetRelativePath5()`
`void` | `testGetRelativePath6()`
`void` | `testGetRelativePath7()`
`void` | `testGetRelativePath8()`
`void` | `testGetRelativePath9()`
`void` | `testParsePath1()`
`void` | `testParsePath2()`
`void` | `testParsePath3()`
`void` | `testParsePath4()`
`void` | `testParsePath5()`
`void` | `testXmlEncode()` Test of xmlAttributeEncode.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestCUtil

    public TestCUtil(java.lang.String name)

Method Detail

### testGetPathFromEnvironment

    public void testGetPathFromEnvironment()

### testGetRelativePath1

    public void testGetRelativePath1()
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### testGetRelativePath2

    public void testGetRelativePath2()
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### testGetRelativePath3

    public void testGetRelativePath3()
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### testGetRelativePath4

    public void testGetRelativePath4()
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### testGetRelativePath5

    public void testGetRelativePath5()
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### testGetRelativePath6

    public void testGetRelativePath6()
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### testGetRelativePath7

    public void testGetRelativePath7()
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### testGetRelativePath8

    public void testGetRelativePath8()
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### testGetRelativePath9

    public void testGetRelativePath9()
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### testGetRelativePath10

    public void testGetRelativePath10()
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### testParsePath1

    public void testParsePath1()

### testParsePath2

    public void testParsePath2()

### testParsePath3

    public void testParsePath3()

### testParsePath4

    public void testParsePath4()

### testParsePath5

    public void testParsePath5()

### testXmlEncode

    public void testXmlEncode()

  Test of xmlAttributeEncode. See patch 1267472 and bug 1032302.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.